#!/bin/sh
#
# This script can be used to start the jskycat application on systems where
# /bin/sh is available.

# Figure out the project base.
PRG="$0"
while [ -h "$PRG" ]; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '.*-> \(.*\)$'`
    if expr "$link" : '/.*' > /dev/null; then
        PRG="$link"
    else
        PRG=`dirname "$PRG"`/"$link"
    fi
done
DIR=`dirname "$PRG"`/..
HLPG_PROJECT_BASE=`(cd $DIR; pwd)`
case `uname` in
    CYGWIN*) HLPG_PROJECT_BASE=`cygpath -m $HLPG_PROJECT_BASE` ;;
esac
export HLPG_PROJECT_BASE
exec java -Xmx256m -jar $HLPG_PROJECT_BASE/lib/jsky.jar $*

